## org.eclipse.datatools.connectivity.drivers
Interface IDriverValuesProvider

All Known Implementing Classes:
  DefaultDriverValuesProvider

    public interface IDriverValuesProvider

Field Summary
`static java.lang.String` `VALUE_CREATE_DEFAULT`
`static java.lang.String` `VALUE_DEFAULT_DEFINITION_NAME`
`static java.lang.String` `VALUE_JARLIST`
`static java.lang.String` `VALUE_NAME`

Method Summary
`java.lang.String` `createDefaultValue(java.lang.String key)`
`TemplateDescriptor` `getDriverTemplate()`
`void` `setDriverTemplate(TemplateDescriptor template)`

Field Detail

### VALUE_NAME

    static final java.lang.String VALUE_NAME

See Also:
  Constant Field Values

### VALUE_JARLIST

    static final java.lang.String VALUE_JARLIST

See Also:
  Constant Field Values

### VALUE_CREATE_DEFAULT

    static final java.lang.String VALUE_CREATE_DEFAULT

See Also:
  Constant Field Values

### VALUE_DEFAULT_DEFINITION_NAME

    static final java.lang.String VALUE_DEFAULT_DEFINITION_NAME

See Also:
  Constant Field Values

Method Detail

### createDefaultValue

    java.lang.String createDefaultValue(java.lang.String key)

### setDriverTemplate

    void setDriverTemplate(TemplateDescriptor template)

### getDriverTemplate

    TemplateDescriptor getDriverTemplate()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.